Subject: Re: bug#79456: 31.0.50; Warnings when installing treesitter gramars

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Sep 2025 18:25:14 +0300

forcemerge 79363 79456
thanks

> On emba, there are several errors wrt the tree-sitter javascript gramars:
>
> Warning (treesit-font-lock-rules-mismatch): Emacs cannot compile every
> font-lock rules because a mismatch between the grammar and the rules.
> This is most likely due to a mismatch between the font-lock rules
> defined by the major mode and the tree-sitter grammar.
>
> This error can be fixed by either downgrading the grammar
> (tree-sitter-javascript) on your system, or upgrading the major mode
> package.  The following are the temporarily disabled features:
>
> - `definition' for javascript.

This is a known problem currently handled in bug#79363.